# Class InfiniumVcfFields

java.lang.Object
picard.arrays.illumina.InfiniumVcfFields

public class InfiniumVcfFields extends Object
A class to store fields that are specific to a VCF generated from an Illumina GTC file.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`InfiniumVcfFields.GENOTYPE_VALUES`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ALLELE_A`
`static final String`
`ALLELE_B`
`static final String`
`ANALYSIS_VERSION_NUMBER`
`static final String`
`ARRAY_TYPE`
`static final String`
`AUTOCALL_DATE`
`static final String`
`AUTOCALL_GENDER`
`static final String`
`AUTOCALL_VERSION`
`static final String`
`BAF`
`static final String`
`BEADSET_ID`
`static final String`
`CHIP_WELL_BARCODE`
`static final String`
`CLUSTER_FILE`
`static final String[]`
`DEV_R`
`static final String[]`
`DEV_THETA`
`static final String[]`
`DEV_X`
`static final String[]`
`DEV_Y`
`static final String`
`DUPE`
`static final String`
`EXPECTED_GENDER`
`static final String`
`EXTENDED_ILLUMINA_MANIFEST_FILE`
`static final String`
`EXTENDED_ILLUMINA_MANIFEST_VERSION`
`static final String`
`FAIL_REF`
`static final String`
`FINGERPRINT_GENDER`
`static final String`
`GC_SCORE`
`static final String`
`GTA`
`static final String`
`GTC_CALL_RATE`
`static final String`
`GTC_CALL_RATE_DETAIL`
`static final String`
`GTZ`
`static final String`
`IGC`
`static final String`
`ILLUMINA_BUILD`
`static final String`
`ILLUMINA_CHR`
`static final String`
`ILLUMINA_POS`
`static final String`
`ILLUMINA_STRAND`
`static final String`
`IMAGING_DATE`
`static final String`
`LRR`
`static final String`
`MANIFEST_FILE`
`static final String[]`
`MEAN_R`
`static final String[]`
`MEAN_THETA`
`static final String[]`
`MEAN_X`
`static final String[]`
`MEAN_Y`
`static final String[]`
`N`
`static final String`
`NORMX`
`static final String`
`NORMY`
`static final String`
`P_95_GREEN`
`static final String`
`P_95_RED`
`static final String`
`PIPELINE_VERSION`
`static final String`
`PROBE_A`
`static final String`
`PROBE_B`
`static final String`
`R`
`static final String`
`RS_ID`
`static final String`
`SAMPLE_ALIAS`
`static final String`
`SCANNER_NAME`
`static final String`
`SOURCE`
`static final String`
`THETA`
`static final String`
`TRIALLELIC`
`static final String`
`X`
`static final String`
`Y`
`static final String`
`ZCALL_THRESHOLDS`
`static final String`
`ZCALL_VERSION`
`static final String`
`ZEROED_OUT_ASSAY`
`static final String`
`ZTHRESH_X`
`static final String`
`ZTHRESH_Y`

## Constructor Summary

Constructors
Constructor
Description
`InfiniumVcfFields()`

## Method Summary

Modifier and Type
Method
Description
`static htsjdk.samtools.util.Iso8601Date`
`getDateFromVcfOtherHeaderLine(htsjdk.variant.vcf.VCFHeader vcfHeader, String keyName, SimpleDateFormat dateformat)`
`static Integer`
`getIntegerFromVcfOtherHeaderLine(htsjdk.variant.vcf.VCFHeader vcfHeader, String keyName)`
`static Double`
`getOptionalDoubleFromVcfOtherHeaderLine(htsjdk.variant.vcf.VCFHeader vcfHeader, String keyName)`
`static Integer`
`getOptionalIntegerFromVcfOtherHeaderLine(htsjdk.variant.vcf.VCFHeader vcfHeader, String keyName)`
`static String`
`getOptionalValueFromVcfOtherHeaderLine(htsjdk.variant.vcf.VCFHeader vcfHeader, String keyName)`
`static String`
`getValueFromVcfOtherHeaderLine(htsjdk.variant.vcf.VCFHeader vcfHeader, String keyName)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ARRAY_TYPE

public static final String ARRAY_TYPE

See Also:
  - Constant Field Values

### EXTENDED_ILLUMINA_MANIFEST_VERSION

public static final String EXTENDED_ILLUMINA_MANIFEST_VERSION

See Also:
  - Constant Field Values

### CHIP_WELL_BARCODE

public static final String CHIP_WELL_BARCODE

See Also:
  - Constant Field Values

### ANALYSIS_VERSION_NUMBER

public static final String ANALYSIS_VERSION_NUMBER

See Also:
  - Constant Field Values

### SAMPLE_ALIAS

public static final String SAMPLE_ALIAS

See Also:
  - Constant Field Values

### EXPECTED_GENDER

public static final String EXPECTED_GENDER

See Also:
  - Constant Field Values

### FINGERPRINT_GENDER

public static final String FINGERPRINT_GENDER

See Also:
  - Constant Field Values

### GTC_CALL_RATE

public static final String GTC_CALL_RATE

See Also:
  - Constant Field Values

### GTC_CALL_RATE_DETAIL

public static final String GTC_CALL_RATE_DETAIL

See Also:
  - Constant Field Values

### AUTOCALL_GENDER

public static final String AUTOCALL_GENDER

See Also:
  - Constant Field Values

### AUTOCALL_DATE

public static final String AUTOCALL_DATE

See Also:
  - Constant Field Values

### IMAGING_DATE

public static final String IMAGING_DATE

See Also:
  - Constant Field Values

### CLUSTER_FILE

public static final String CLUSTER_FILE

See Also:
  - Constant Field Values

### MANIFEST_FILE

public static final String MANIFEST_FILE

See Also:
  - Constant Field Values

### EXTENDED_ILLUMINA_MANIFEST_FILE

public static final String EXTENDED_ILLUMINA_MANIFEST_FILE

See Also:
  - Constant Field Values

### AUTOCALL_VERSION

public static final String AUTOCALL_VERSION

See Also:
  - Constant Field Values

### ZCALL_VERSION

public static final String ZCALL_VERSION

See Also:
  - Constant Field Values

### ZCALL_THRESHOLDS

public static final String ZCALL_THRESHOLDS

See Also:
  - Constant Field Values

### P_95_RED

public static final String P_95_RED

See Also:
  - Constant Field Values

### P_95_GREEN

public static final String P_95_GREEN

See Also:
  - Constant Field Values

### SCANNER_NAME

public static final String SCANNER_NAME

See Also:
  - Constant Field Values

### PIPELINE_VERSION

public static final String PIPELINE_VERSION

See Also:
  - Constant Field Values

### X

public static final String X

See Also:
  - Constant Field Values

### Y

public static final String Y

See Also:
  - Constant Field Values

### NORMX

public static final String NORMX

See Also:
  - Constant Field Values

### NORMY

public static final String NORMY

See Also:
  - Constant Field Values

### R

public static final String R

See Also:
  - Constant Field Values

### THETA

public static final String THETA

See Also:
  - Constant Field Values

### BAF

public static final String BAF

See Also:
  - Constant Field Values

### LRR

public static final String LRR

See Also:
  - Constant Field Values

### IGC

public static final String IGC

See Also:
  - Constant Field Values

### GTA

public static final String GTA

See Also:
  - Constant Field Values

### GTZ

public static final String GTZ

See Also:
  - Constant Field Values

### ALLELE_A

public static final String ALLELE_A

See Also:
  - Constant Field Values

### ALLELE_B

public static final String ALLELE_B

See Also:
  - Constant Field Values

### ILLUMINA_STRAND

public static final String ILLUMINA_STRAND

See Also:
  - Constant Field Values

### PROBE_A

public static final String PROBE_A

See Also:
  - Constant Field Values

### PROBE_B

public static final String PROBE_B

See Also:
  - Constant Field Values

### BEADSET_ID

public static final String BEADSET_ID

See Also:
  - Constant Field Values

### ILLUMINA_CHR

public static final String ILLUMINA_CHR

See Also:
  - Constant Field Values

### ILLUMINA_POS

public static final String ILLUMINA_POS

See Also:
  - Constant Field Values

### ILLUMINA_BUILD

public static final String ILLUMINA_BUILD

See Also:
  - Constant Field Values

### SOURCE

public static final String SOURCE

See Also:
  - Constant Field Values

### GC_SCORE

public static final String GC_SCORE

See Also:
  - Constant Field Values

### N

public static final String[] N

### MEAN_R

public static final String[] MEAN_R

### DEV_R

public static final String[] DEV_R

### MEAN_THETA

public static final String[] MEAN_THETA

### DEV_THETA

public static final String[] DEV_THETA

### MEAN_X

public static final String[] MEAN_X

### DEV_X

public static final String[] DEV_X

### MEAN_Y

public static final String[] MEAN_Y

### DEV_Y

public static final String[] DEV_Y

### RS_ID

public static final String RS_ID

See Also:
  - Constant Field Values

### ZTHRESH_X

public static final String ZTHRESH_X

See Also:
  - Constant Field Values

### ZTHRESH_Y

public static final String ZTHRESH_Y

See Also:
  - Constant Field Values

### TRIALLELIC

public static final String TRIALLELIC

See Also:
  - Constant Field Values

### DUPE

public static final String DUPE

See Also:
  - Constant Field Values

### FAIL_REF

public static final String FAIL_REF

See Also:
  - Constant Field Values

### ZEROED_OUT_ASSAY

public static final String ZEROED_OUT_ASSAY

See Also:
  - Constant Field Values

## Constructor Details

### InfiniumVcfFields

public InfiniumVcfFields()

## Method Details

### getValueFromVcfOtherHeaderLine

public static String getValueFromVcfOtherHeaderLine(htsjdk.variant.vcf.VCFHeader vcfHeader, String keyName)

### getDateFromVcfOtherHeaderLine

public static htsjdk.samtools.util.Iso8601Date getDateFromVcfOtherHeaderLine(htsjdk.variant.vcf.VCFHeader vcfHeader, String keyName, SimpleDateFormat dateformat)

### getOptionalDoubleFromVcfOtherHeaderLine

public static Double getOptionalDoubleFromVcfOtherHeaderLine(htsjdk.variant.vcf.VCFHeader vcfHeader, String keyName)

### getIntegerFromVcfOtherHeaderLine

public static Integer getIntegerFromVcfOtherHeaderLine(htsjdk.variant.vcf.VCFHeader vcfHeader, String keyName)

### getOptionalIntegerFromVcfOtherHeaderLine

public static Integer getOptionalIntegerFromVcfOtherHeaderLine(htsjdk.variant.vcf.VCFHeader vcfHeader, String keyName)

### getOptionalValueFromVcfOtherHeaderLine

public static String getOptionalValueFromVcfOtherHeaderLine(htsjdk.variant.vcf.VCFHeader vcfHeader, String keyName)